@import url("https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100..900;1,100..900&display=swap");
body {
  margin: 0;
  font-family: Arial, sans-serif;
  overflow: hidden;
}
@font-face {
  font-family: "MyCustomFont"; /* your font name */
  src: url("../font/FielmannSans-Regular.woff2") format("woff2");
  font-weight: normal;
  font-style: normal;
  font-display: swap; /* ensures text shows while font loads */
}

.container {
  position: relative;
  /* width: 600px; */
  overflow: hidden;
  border: 1px solid #000;
  box-sizing: border-box;
  visibility: hidden;
  width: 100%;
  /* aspect-ratio: 16 / 9; */
  aspect-ratio: 2 / 1;
  height: 100%;
  max-width: 600px;
  max-height: 300px;
}
.peel {
  width: 100%;
  height: 100%;
}
.peel-top,
.peel-back,
.peel-bottom {
  text-align: center;
}

.peel-top {
}

.peel-back {
  background-color: #9b9b9b;
}

.peel-bottom {
  color: #eaefe0;
  background-color: #000;
}
.peel {
  position: relative;
  opacity: 0;
}

.peel-ready {
  opacity: 1;
}
.peel-layer {
  position: absolute;
  z-index: 1;
  width: 100%;
  height: 100%;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  -webkit-user-select: none;
  -moz-user-select: none;
  user-select: none;
  -webkit-transform-origin: top left;
  -moz-transform-origin: top left;
  transform-origin: top left;
}
video {
  width: 100%;
  height: 100%;
  object-fit: cover;
}
.dragArea {
  position: absolute;
  width: 17%;
  height: 32%;
  background-color: rgba(255, 255, 255, 0);
  top: 0px;
  left: 0px;
  z-index: 55;
  cursor: grab;
  display: none;
}
.dragArea:active {
  cursor: grabbing;
}
.clickArea {
  position: absolute;
  width: 100%;
  height: 100%;
  background-color: rgba(255, 255, 255, 0);
  top: 0px;
  left: 0px;
  z-index: 50;
  cursor: pointer;
  display: none;
}
.reveal-container {
  position: relative;
  overflow: hidden;
  background-color: #000000;
  cursor: pointer;
  width: 100%;
  max-width: 600px;
  max-height: 300px;
  height: 100%;
  /* aspect-ratio: 16 / 9; */
  aspect-ratio: 2 / 1;
  /* background-image: url("../img/ref.jpg"); */
  background-repeat: no-repeat;
  background-size: cover;
}
.left-bg {
  width: 50%;
  height: 100%;
  background-color: #ffeee6;
  position: absolute;
  left: 0;
}
.right-bg {
  width: 50%;
  height: 100%;
  background-color: #f7f6f2;
  position: absolute;
  right: 0;
}
.behind-image,
.behind-logo,
.text-1,
.text-2,
.cta,
.cta-hover {
  width: 100%;
  height: 100%;
  aspect-ratio: 2 / 1;
  position: absolute;
}
.cta-hover {
  opacity: 0;
}
.behind-image img,
.behind-logo img,
.text-1 img,
.text-2 img,
.cta img,
.cta-hover img {
  width: 100%;
}
.behind-click {
  position: absolute;
  left: 0;
  right: 0;
  width: 100%;
  height: 100%;
}
/* LOTTIE PLAYER */
.lottie-container {
  position: absolute;
  width: 70px;
  height: 70px;
  top: 13%;
  left: 13%;
  z-index: 100;
  pointer-events: none;
  transform: translateY(-13%);
  opacity: 0;
}
.lottie-container-wrapper {
  width: 100%;
  height: 100%;
  border-radius: 50%;
  background: #000; /* Circle background color */
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  position: relative;
  overflow: hidden;
  opacity: 0.8;
}
dotlottie-player {
  width: 90%;
  height: 90%;
  border-radius: 50%;
  overflow: hidden;
  left: 0;
  right: 0;
  position: relative;
  margin: auto;
  top: -12%;
}
.lottie-text {
  position: absolute;
  bottom: 10%;
  left: 50%;
  transform: translateX(-50%);
  font-size: 10px;
  color: white;
  text-align: center;
  pointer-events: none;
  letter-spacing: 0.5px;
  font-family: "Poppins", sans-serif;
}
/* 👇 Wheel wrapper fits by height */
.wheel-wrapper {
  position: relative;
  height: 90%;
  aspect-ratio: 1 / 1;
  left: 5%;
  z-index: 22;
  top: 5%;
}

.wheel {
  width: 100%;
  height: 100%;
  border-radius: 50%;
  background: url("../img/wheel.png") center/cover no-repeat;
  transition: transform 4s cubic-bezier(0.33, 1, 0.68, 1);
}

.pointer {
  position: absolute;
  top: -3%;
  left: 50%;
  transform: translateX(-50%);
  width: 10%;
  height: auto;
  z-index: 10;
  pointer-events: none;
}

.spin-btn {
  position: absolute;
  inset: 0;
  margin: auto;
  width: 18%;
  aspect-ratio: 1 / 1;
  border-radius: 50%;
  border: none;
  background: transparent;
  cursor: pointer;
}
.left-bg {
  width: 50%;
  height: 100%;
  background-color: #ffeee6;
  position: absolute;
  left: 0;
}
.right-bg {
  width: 50%;
  height: 100%;
  background-color: #f7f6f2;
  position: absolute;
  right: 0;
}
.behind-image {
  width: 100%;
  height: 100%;
  aspect-ratio: 2 / 1;
  position: absolute;
  pointer-events: none;
}
.behind-image img {
  width: 100%;
}
.BRILLE15-code {
  background: url("../img/BRILLE15-code.png") center/contain no-repeat;
}
.SONNE10-code {
  background: url("../img/SONNE10-code.png") center/contain no-repeat;
}
.LINSE10-code {
  background: url("../img/LINSE10-code.png") center/contain no-repeat;
}
.TRYAGAIN {
  background: url("../img/tryagain.png") center/contain no-repeat;
}
.START {
  width: 100%;
  height: 100%;
  position: absolute;
  z-index: 222;
  left: 0;
  right: 0;
  margin: auto;
  top: 0;
  cursor: pointer;
  /* background: url("../img/start.png") center/contain no-repeat; */
}
.START img {
  width: 55%;
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  margin: auto;
  bottom: 0;
}
.START img {
  transition: transform 0.3s ease; /* smooth scaling */
}

.START:hover img {
  transform: scale(1.05); /* scale image 10% on hover */
}
.prize-image {
  width: 55%;
  height: 17%;
  position: absolute;
  z-index: 222;
  left: 0;
  top: 0;
  bottom: 0;
  right: 0;
  margin: auto;
  opacity: 0;
  cursor: pointer;
  /* transition: opacity 0.5s ease; */
}
.results {
  width: 100%;
  height: 100%;
  position: absolute;
  top: 0;
  left: 0;
  opacity: 0; /* 👈 initially invisible */
  pointer-events: none; /* 👈 not clickable */
  /* transition: opacity 0.5s ease; */
}
.overlay {
  position: absolute;
  inset: 0;
  background: rgba(0, 0, 0, 0.2); /* 👈 20% black */
  z-index: 33;
}
.overlay-start {
  position: absolute;
  inset: 0;
  background: rgba(0, 0, 0, 0.2); /* 👈 20% black */
  z-index: 33;
}
.cta {
  width: 55%;
  height: 17%;
  position: absolute;
  z-index: 222;
  left: 5%;
  margin: auto;
  top: 73%;
  background: url("../img/BRILLE15-cta.png") center/contain no-repeat;
}
.bg-click {
  width: 100%;
  height: 100%;
  position: absolute;
  top: 0;
  left: 0;
}
.copyNotification {
  position: absolute;
  top: 62%;
  left: 50%;
  transform: translateX(-50%);
  background: #fff;
  color: #000;
  padding: 6px 12px;
  border-radius: 4px;
  font-size: 12px;
  opacity: 0;
  pointer-events: none;
  z-index: 333;
  font-family: "MyCustomFont", sans-serif;
  text-align: center;
}
